Skip to main content
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
notifications
/
{uuid}
GetNotification
curl --request GET \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/notifications/{uuid}
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "project_uuid": "<string>",
    "state": "NOTIFICATION_STATE_UNSPECIFIED",
    "aggregation_details": {
      "aggregation_target_name": "<string>",
      "aggregation_type": "AGGREGATION_TYPE_UNSPECIFIED",
      "pkg_version_name": "<string>",
      "pkg_version_uuid": "<string>"
    },
    "diff": {
      "new_finding_uuids": [
        "<string>"
      ],
      "resolved_finding_uuids": [
        "<string>"
      ]
    },
    "dismiss": {
      "category": "NOTIFICATION_DISMISS_CATEGORY_UNSPECIFIED",
      "comment": "<string>",
      "time": "2023-11-07T05:31:56Z"
    },
    "finding_details": {},
    "hashsum": "<string>",
    "last_seen_at": "2023-11-07T05:31:56Z",
    "notification_action_data": {},
    "notification_external_ids": [
      "<string>"
    ],
    "payload": {
      "policy_output": {
        "allow": true,
        "raw": [
          {}
        ],
        "violating_resources": {}
      }
    },
    "policy_type": "POLICY_TYPE_UNSPECIFIED",
    "policy_uuid": "<string>",
    "remediation_parameters": {
      "automated_pr_parameters": {
        "language_parameters": {},
        "max_open_prs": 123
      }
    },
    "repository_version_uuid": "<string>",
    "resolved_at": "2023-11-07T05:31:56Z"
  },
  "context": {
    "id": "<string>",
    "type": "CONTEXT_TYPE_UNSPECIFIED",
    "tags": [
      "<string>"
    ],
    "will_be_deleted_at": "2023-11-07T05:31:56Z"
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

uuid
string
required

The UUID of the requested resource.

Query Parameters

get_parameters.mask
string

List of fields to return (all fields are returned by default).

Response

A successful response.

The record created when there is a policy violation.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
context
object

Contexts keep objects from different scans separated.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of a notification.